Bug 175673 - pear extension path set to lib64 on i386 install
Summary: pear extension path set to lib64 on i386 install
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: php-pear (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-13 21:11 UTC by Andy Burns
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.4.5-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-14 09:05:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andy Burns 2005-12-13 21:11:27 UTC
Description of problem:

Installed php-pear on my P4 (using i386/smp) but pear seems to have a path set
to include /usr/lib64 instead if /usr/lib

Version-Release number of selected component (if applicable):

# pear -V
PEAR Version: 1.4.5
PHP Version: 5.1.1
Zend Engine Version: 2.1.0
Running on: Linux localhost.localdomain 2.6.14-1.1752_FC5smp #1 SMP Mon Dec 12
00:04:42 EST 2005 i686

Actual results:

# pear config-show | grep _dir
PEAR executables directory     bin_dir          /usr/bin
PEAR documentation directory   doc_dir          /usr/share/pear/doc
PHP extension directory        ext_dir          /usr/lib64/php/modules
PEAR directory                 php_dir          /usr/share/pear
PEAR Installer cache directory cache_dir        /tmp/pear/cache
PEAR data directory            data_dir         /usr/share/pear/data
PEAR test directory            test_dir         /usr/share/pear/test

Comment 1 Andy Burns 2005-12-13 21:47:21 UTC
could this be something in the .spec file picking up the build environment
rather then the target environment?



Comment 2 Joe Orton 2005-12-13 22:22:52 UTC
Hmm, annoying.  php-pear is noarch, it should really just be picking up the
ext_dir setting from php itself rather than putting it in pear.conf.

Comment 3 Joe Orton 2005-12-14 09:05:59 UTC
Removed hard-coded ext_dir setting from default pear.conf now, thanks a lot for
the report.


Note You need to log in before you can comment on or make changes to this bug.